GLVTypeAEndomorphism (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.math.ec.endo

## Class GLVTypeAEndomorphism

- java.lang.Object
- - org.bouncycastle.math.ec.endo.GLVTypeAEndomorphism

- All Implemented Interfaces:
    ECEndomorphism, GLVEndomorphism

      public class GLVTypeAEndomorphism
      extends java.lang.Object
      implements GLVEndomorphism

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GLVTypeAParameters` | `parameters`
    `protected ECPointMap` | `pointMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GLVTypeAEndomorphism(ECCurve curve, GLVTypeAParameters parameters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigInteger[]` | `decomposeScalar(java.math.BigInteger k)`
    `ECPointMap` | `getPointMap()`
    `boolean` | `hasEfficientPointMap()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parameters

          protected final GLVTypeAParameters parameters

    - #### pointMap

          protected final ECPointMap pointMap

  - ### Constructor Detail

    - #### GLVTypeAEndomorphism

          public GLVTypeAEndomorphism(ECCurve curve,
                                      GLVTypeAParameters parameters)

  - ### Method Detail

    - #### decomposeScalar

          public java.math.BigInteger[] decomposeScalar(java.math.BigInteger k)

      Specified by:
        `decomposeScalar` in interface `GLVEndomorphism`

    - #### getPointMap

          public ECPointMap getPointMap()

      Specified by:
        `getPointMap` in interface `ECEndomorphism`

    - #### hasEfficientPointMap

          public boolean hasEfficientPointMap()

      Specified by:
        `hasEfficientPointMap` in interface `ECEndomorphism`